Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server Containers for J2EE Support for JavaServer Pages API Reference 10g Release 2 (10.1.2) B14015-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jsp.dbutil
Class BeanUtil

`java.lang.Object
oracle.jsp.dbutil.BeanUtil`

public class BeanUtil
extends java.lang.Object

Method Summary
`static java.lang.String` | `translateToHTMLTable(java.sql.ResultSet rs)` Takes a ResultSet and return an HTML Table
`static java.lang.String` | `translateToHTMLTable(java.sql.ResultSet rs, int maxRows)`
`static java.lang.String` | `translateToXML(java.sql.Connection conn, java.lang.String sql, java.sql.ResultSet rs)` Takes a Query String and Result Set and
`static java.lang.String` | `translateToXML(java.sql.Connection conn, java.lang.String sql, java.sql.ResultSet rs, int maxRows)`
`static org.w3c.dom.Document` | `translateToXMLDocument(java.sql.Connection conn, java.lang.String sql, java.sql.ResultSet rs, int maxRows)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### translateToHTMLTable

    public static java.lang.String translateToHTMLTable(java.sql.ResultSet rs)
                                                 throws java.sql.SQLException

  Takes a ResultSet and return an HTML Table
  Returns:
    a XML String
  Throws:
    `java.sql.SQLException`

### translateToHTMLTable

    public static java.lang.String translateToHTMLTable(java.sql.ResultSet rs,
                                                        int maxRows)
                                                 throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### translateToXML

    public static java.lang.String translateToXML(java.sql.Connection conn,
                                                  java.lang.String sql,
                                                  java.sql.ResultSet rs)

  Takes a Query String and Result Set and
  Returns:
    a XML String

### translateToXML

    public static java.lang.String translateToXML(java.sql.Connection conn,
                                                  java.lang.String sql,
                                                  java.sql.ResultSet rs,
                                                  int maxRows)

### translateToXMLDocument

    public static org.w3c.dom.Document translateToXMLDocument(java.sql.Connection conn,
                                                              java.lang.String sql,
                                                              java.sql.ResultSet rs,
                                                              int maxRows)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server Containers for J2EE Support for JavaServer Pages API Reference 10g Release 2 (10.1.2) B14015-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2005, Oracle. All rights reserved.